%define lname   osmgpsmap

%define major   1
%define api     1.0
%define gir_major       1.0
%define libname %mklibname %{lname} %{api} %{major}
%define devname %mklibname %{lname} %{api} -d
%define gir_name %mklibname %{lname}-gir %{gir_major}

Name:           osm-gps-map
Version:        1.2.0
Release:        %mkrel 2
Summary:        Gtk+ widget for displaying OpenStreetMap tiles
Group:          System/Libraries
License:        GPLv2
URL:            https://github.com/nzjrs/osm-gps-map/
# Currently source only available via github
Source0:	https://github.com/nzjrs/osm-gps-map/releases/download/%{version}/osm-gps-map-%{version}.tar.gz
BuildRequires:	pkgconfig(cairo) >= 1.8
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  gtk-doc
BuildRequires:  gnome-common

%description
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%package -n %{gir_name}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}%{name}1.0-gir1.0 < 1.29.3-4
Obsoletes:	%{_lib}osmgpsmap-1.0-gir1.0 < 1.0.0-4

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package -n %{libname}
Summary:    Gtk+ widget for displaying OpenStreetMap tiles
Group:      System/Libraries
Obsoletes:  %{_lib}osmgpsmap-1.00 < 1.0.0-4

%description -n %{libname}
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%package -n %{devname}
Summary:        Development files for the %{name} Gtk+ widget
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Requires:       %{gir_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{lname}1.0-devel = %{version}-%{release}
Obsoletes:      %{_lib}osmgpsmap-1.0-devel < 1.0.0-4

%description -n %{devname}
The development files for the %{name} Gtk+ widget.

%prep
%setup -q
%autopatch -p1

%build
[[ -f configure ]] || NOCONFIGURE=yes autogen.sh
%configure \
    --disable-static
%make_build

%install
%make_install

#handle docs inf files section
rm -rf %{buildroot}/usr/doc/osm-gps-map

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_docdir}/%{name}
%{_libdir}/lib%{lname}-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/lib%{lname}/
%{_includedir}/%{lname}-%{api}
%{_libdir}/lib%{lname}-%{api}.so
%{_libdir}/pkgconfig/%{lname}-%{api}.pc

%files -n %{gir_name}
%{_libdir}/girepository-1.0/*-%{gir_major}.typelib
%{_datadir}/gir-1.0/*-%{gir_major}.gir


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.0-2.mga10
+ Revision: 2217248
- Mageia 10 Mass Rebuild

* Sun Jan 08 2023 daviddavid <daviddavid> 1.2.0-1.mga9
+ Revision: 1931600
- new version: 1.2.0

* Wed Mar 30 2022 umeabot <umeabot> 1.1.0-5.mga9
+ Revision: 1835081
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1.0-4.mga8
+ Revision: 1515737
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-3.mga7
+ Revision: 1300066
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 12 2016 umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 956581
- Mageia 6 Mass Rebuild

* Sat Jan 02 2016 guillomovitch <guillomovitch> 1.1.0-1.mga6
+ Revision: 918313
- new version 1.1.0

* Mon Jun 29 2015 wally <wally> 1.0.2-5.mga6
+ Revision: 847808
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 749460
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.0.2-3.mga5
+ Revision: 724950
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-2.mga5
+ Revision: 683279
- Mageia 5 Mass Rebuild

* Fri May 16 2014 wally <wally> 1.0.2-1.mga5
+ Revision: 623027
- new version 1.0.2
- drop upstreamed linking patch
- drop unrecognized configure options

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-5.mga4
+ Revision: 529108
- Mageia 4 Mass Rebuild

* Thu Jul 04 2013 wally <wally> 1.0.1-4.mga4
+ Revision: 450135
- fix devel pkg provides

* Thu Jul 04 2013 wally <wally> 1.0.1-3.mga4
+ Revision: 450122
- don't obsolete devel pkg of older 0.7.x osm-gps-map

* Thu Jul 04 2013 wally <wally> 1.0.1-2.mga4
+ Revision: 450118
- rename devel pkg as soon we have older osm-gps-map 0.7.x too

* Tue Jul 02 2013 wally <wally> 1.0.1-1.mga4
+ Revision: 449805
- new version 1.0.1
- drop upstreamed pkgconfig patch
+ fwang <fwang>
- update br

* Fri Jun 28 2013 wally <wally> 1.0.0-5.mga4
+ Revision: 448055
- clean linking patch
- add patch to fix pkgconfig .pc file

* Fri Jun 28 2013 wally <wally> 1.0.0-4.mga4
+ Revision: 448043
- fix pkg names

* Fri Jun 28 2013 tv <tv> 1.0.0-3.mga4
+ Revision: 447709
- really obsoletes libosmgpsmap-devel

* Fri Jun 28 2013 tv <tv> 1.0.0-2.mga4
+ Revision: 447695
- obsoletes libosmgpsmap-devel

* Thu Jun 27 2013 guillomovitch <guillomovitch> 1.0.0-1.mga4
+ Revision: 447629
- new version

* Tue May 28 2013 tv <tv> 0.7.99.20130528-0.1.mga4
+ Revision: 429543
- BR gtk+-3 instead of 2
- BR gnome-common
- new snapshot for gramps

* Fri May 24 2013 tv <tv> 0.7.3-3.mga4
+ Revision: 426309
- enable introspection for gramps
- fix introspection

* Sun Jan 13 2013 umeabot <umeabot> 0.7.3-2.mga3
+ Revision: 362235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 13 2011 wally <wally> 0.7.3-1.mga2
+ Revision: 142979
- imported package osm-gps-map

